Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# MediaSelector Class Reference

This class is specific to the mediaplayer apps. More...

`#include <mediaselector.h>`

List of all member functions.

## Public Members

- MediaSelector ( QWidget * parent, const char * name = 0 )
- ~MediaSelector ()
- const DocLnk * current ()
- void setCategoryFilter ( ContainsCategoryInterface * )
- void setLocationFilter ( QComboBox * )
- bool advanceSelector ()
- MediaSelectorItem * newItem ( const DocLnk & lnk )
- QBrush altBrush () const

## Public Slots

- void removeAll ()
- void addLink ( const DocLnk & )
- void removeLink ( const DocLnk & )
- void changeLink ( const DocLnk &, const DocLnk & )
- void addToSelector ( const DocLnk & )
- void removeSelected ()
- void moveSelectedUp ()
- void moveSelectedDown ()
- bool prev ()
- bool next ()
- bool first ()
- bool last ()
- void categorize ()
- void selectAll ()
- void addSelectionToCategory ( int catId )
- void showItemProperties ( QListViewItem * i )

## Protected Members

- virtual void viewportResizeEvent ( QResizeEvent * )
- virtual void contentsMouseMoveEvent ( QMouseEvent * )
- virtual void contentsMousePressEvent ( QMouseEvent * )
- virtual void contentsMouseReleaseEvent ( QMouseEvent * )
- virtual void paletteChange ( const QPalette & )
- virtual void keyPressEvent ( QKeyEvent * ke )

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class lists MediaSelectorItems. Media items could be listed by various media specific attributes, id3 tags or other criteria. Phone version only lists the document name due to space restrictions.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.